/* ========== APPLICATIONS ========== */
.applications-carousel {
  text-align: center;
  padding: 20px 0;
  background: url("/img/bgpr.jpg") no-repeat center center;
  background-size: cover;
  color: white;
  width: 100%;
}

.applications-carousel h2 {
  font-size: 36px;
  font-weight: 700;
  margin-bottom: 8px;
}

.applications-carousel p {
  font-size: 18px;
  color: #f0f0f0;
  margin-bottom: 16px;
}

.applications-carousel .carousel-wrapper {
  width: 100%;
  overflow: hidden;
  padding: 0 10px; /* dikurangi agar tidak terlalu sempit */
}

.applications-carousel .carousel {
  display: flex;
  gap: 20px;
  transition: transform 1s ease-in-out;
  width: 100%;
}

.applications-carousel .product-item {
  flex: 1 0 0;
  min-width: 25%;
  box-sizing: border-box;
  background-color: rgba(255, 255, 255, 0.694);
  padding: 12px;
  border-radius: 10px;
  backdrop-filter: blur(4px);
}

.applications-carousel .product-item img {
  width: 100%;
  height: auto;
  object-fit: contain;
  max-height: 220px;
}

/* Responsive: mobile */
@media (max-width: 768px) {
  .applications-carousel .carousel-wrapper {
    padding: 0 10px;
  }

  .applications-carousel .carousel {
    gap: 16px;
  }

  .applications-carousel .product-item {
    flex: 0 0 100%;
    padding: 16px;
  }

  .applications-carousel .product-item img {
    max-height: 300px;
  }

  .applications-carousel p {
    color: white;
  }
}
